Bug 240405 - graphics/py-traitsui: Update to 6.1.3
Summary: graphics/py-traitsui: Update to 6.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-08 06:32 UTC by vladimir.chukharev
Modified: 2019-09-10 00:40 UTC (History)
1 user (show)

See Also:


Attachments
Patch (1.21 KB, patch)
2019-09-08 06:32 UTC, vladimir.chukharev
vladimir.chukharev: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description vladimir.chukharev 2019-09-08 06:32:19 UTC
Created attachment 207272 [details]
Patch

Update graphics/py-traitsui from 6.1.2 to 6.1.3.
Remove a test exclusion as the test was corrected upstream.

QA (120Ramd64, py36):
port test: OK
poudriere: OK
make test: OK
portlint gives a false positive as before:
 $ portlint -Ca
 WARN: Makefile: When USES=pyqt:5 is defined, you must also define USE_PYQT=xxxx
 0 fatal errors and 1 warning found.
Comment 1 vladimir.chukharev 2019-09-09 13:57:06 UTC
For the portlint false warning I've filed bug #240445 with a proposed patch.
Comment 2 commit-hook freebsd_committer 2019-09-10 00:38:52 UTC
A commit references this bug:

Author: dbaio
Date: Tue Sep 10 00:37:56 UTC 2019
New revision: 511718
URL: https://svnweb.freebsd.org/changeset/ports/511718

Log:
  graphics/py-traitsui: Update to 6.1.3

  Remove a test exclusion as the test was corrected upstream.

  PR:		240405
  Submitted by:	vladimir.chukharev@gmail.com (maintainer)

Changes:
  head/graphics/py-traitsui/Makefile
  head/graphics/py-traitsui/distinfo
Comment 3 Danilo G. Baio freebsd_committer 2019-09-10 00:40:33 UTC
Committed, thanks!